Subject: [quicwg/base-drafts] TLS-31: Minor editorial issues (#4204)

From: Magnus Westerlund <[email-masked]>
Date: Wed, 14 Oct 2020 00:57:29 -0700

Here are some minor editorial issues:

1. Section 2.1: "TLS provides two endpoints with a way to establish a means of communication over an untrusted medium (that is, the Internet) that ensures that messages they exchange cannot be observed, modified, or forged." I think "observed" as used here is the wrong word. Because the encrypted form of the clear-text message will be possible to observe. Please reformulate to give actual security properties.
2. Section 2.1: "A 0-RTT handshake, in which the client uses information it has previously learned about the server to send Application Data immediately. This Application Data can be replayed by an attacker so it MUST NOT carry a self-contained trigger for any non-idempotent action." Please do not  use RFC2119 words "MUST NOT" in overview. I understand the need for emphasis on this. However, I assume this is actually specified normatively elsewhere. So simply using other words to provide the emphasis and possibly a reference to the section defining this normatively. 
3. Section 5.2: "Note: The Destination Connection ID is of arbitrary length, and it could be zero length if the server sends a Retry packet with a zero-length Source Connection ID field." To my understanding the DCID is not arbitrary length, it is of any octet length between 0 and 160 bits. Does the Initial processing function need to deal with non QUIC version-1 long header packets? 

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4204

---

From: Lars Eggert <[email-masked]>
Date: Thu, 15 Oct 2020 04:18:36 -0700

Based on #4205, labeling this as "editorial"

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4204#issuecomment-709211574

---

From: Magnus Westerlund <[email-masked]>
Date: Thu, 15 Oct 2020 05:01:52 -0700

I think the PR resolves my issues nicely. 

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4204#issuecomment-709244195

---

From: Martin Thomson <[email-masked]>
Date: Thu, 15 Oct 2020 16:38:05 -0700

Closed #4204 via #4205.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4204#event-3883972737